// From the software distribution accompanying the textbook
// "A Practical Introduction to Data Structures and Algorithm Analysis,
// Third Edition" by Clifford A. Shaffer, Prentice Hall, 2007.
// Source code Copyright (C) 2006 by Clifford A. Shaffer.

// Test program for the dictionary implemented using a
// sorted array-based list

#include <iostream>
using namespace std;

#include "book.h"

// Include comparator functions
#include "compare.h"

// Use an array-based list implementation
#include "alist.ht"

// Modified to make the list sorted
#include "salist.h"

// And here is the dictionary implementation
#include "SALdict.ht"

// Driver class for sorted array-based dictionary

#include "DictTest.h"

int main(int argc, char** argv) {
  SALdict<int, Int, intintCompare, getIntKey> dict;

  dicttest(dict);

  return 0;
}
