// From the software distribution accompanying the textbook
// "A Practical Introduction to Data Structures and Algorithm Analysis,
// Third Edition" by Clifford A. Shaffer, Prentice Hall, 2007.
// Source code Copyright (C) 2006 by Clifford A. Shaffer.

// Calls for testing stack implementations
template <class El> void StackTest(Stack<El>& St) {
  El temp;

  // Test a bunch of stack operations
  if (St.topValue(temp))
    cout << "Top is " << temp << endl;
  else cout << "Nothing in stack\n";
  St.push(10);
  St.push(20);
  St.push(15);
  cout << "Size is " << St.length() << endl;
  if (St.topValue(temp))
    cout << "Top is " << temp << endl;
  else cout << "Nothing in stack\n";
  while(St.pop(temp))
    cout << temp << " ";
  cout << endl;
  if (St.topValue(temp))
    cout << "Top is " << temp << endl;
  else cout << "Nothing in stack\n";
  cout << "Size is " << St.length() << endl;
  St.clear();
  cout << "Size is " << St.length() << endl;
  cout << "That is all.\n\n";
}
